﻿--Texture registering
local surface = AceLibrary("Surface-1.0")
local tablet = AceLibrary("Tablet-2.0")
surface:Register("Otravi", "Interface\\AddOns\\ClassTimer\\Textures\\otravi")
surface:Register("Smooth", "Interface\\AddOns\\ClassTimer\\Textures\\smooth")
surface:Register("Glaze", "Interface\\AddOns\\ClassTimer\\Textures\\glaze")
surface:Register("Charcoal", "Interface\\AddOns\\ClassTimer\\Textures\\Charcoal")
surface:Register("BantoBar", "Interface\\AddOns\\ClassTimer\\Textures\\default")

--Locals  
local L = AceLibrary("AceLocale-2.2"):new("ClassTimer")

--Ace2 Registering
ClassTimer = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0", "AceEvent-2.0", "AceDB-2.0", "FuBarPlugin-2.0", "CandyBar-2.0")
ClassTimer.defaults = { rules = {}, bars = {}}
--Mod Options
ClassTimer.Menu = { 
    type ="group",
    args = {
		[L["Bars To Show"]] = {
			type = "header",
			name = L["Bars To Show"],
			order = 1,
		},
		["spacer1"] = {
			type = "header",
			name = " ",
			order = 10,
		},
	},
} 

ClassTimer:RegisterDB("ClassTimerDB")
 
function ClassTimer:OnInitialize()
--Revision 
self.revision = tonumber(string.match("$Rev: 34832 $", "%d+"))
self.version = self.revision and self.version .. " |cffff8888r"..self.revision.."|r"
--Saved Information
self:RulesInit()
self:RegisterChatCommand("/ClassTimer", self.Menu)
self:RegisterDefaults("class", self.defaults.rules)
self:RegisterDefaults("profile", self.defaults.bars)
if not(GetBuildInfo() == "0.1.0" or GetBuildInfo == "2.1.0") then error("Error wow version '0.1.0' is needed for this to function") end
end

function ClassTimer:OnEnable()
	self:BarSetup()
	self:RulesSetup()
end

function ClassTimer:OnTooltipUpdate()
	tablet:SetHint(L["Hint"])
end

--FuBar Stuff
ClassTimer.OnMenuRequest = ClassTimer.Menu
ClassTimer.hasNoColor = true
ClassTimer.hasIcon = "Interface\\Icons\\Spell_Shadow_PainfulAfflictions"
ClassTimer.cannotDetachTooltip = true
ClassTimer.hideWithoutStandby = true 